Package: groovy.swing.impl

## [Java] Class TableLayout

- groovy.swing.impl.TableLayout

-     public class TableLayout
      extends JPanel

  Represents a HTML style table layout

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JPanel` | `WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TableLayout()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addCell(TableLayoutCell cell)` Adds a new cell to the current grid
    `` | `public int` | `getCellpadding()`
    `` | `public int` | `nextRowIndex()` Creates a new row index for child tr tags
    `` | `public void` | `setCellpadding(int cellpadding)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JPanel` | `updateUI, setUI, getUI, getUI, getUIClassID, getAccessibleContext, update, contains, getBounds, getLocation, print, getSize, setOpaque, isOpaque, enable, disable, setEnabled, addAncestorListener, firePropertyChange, firePropertyChange, firePropertyChange, getListeners, getClientProperty, getGraphics, getRootPane, getInheritsPopupMenu, getComponentPopupMenu, isManagingFocus, getDefaultLocale, repaint, repaint, putClientProperty, setFont, isOptimizedDrawingEnabled, getWidth, getHeight, isLightweightComponent, paint, printAll, getBorder, isDoubleBuffered, getNextFocusableComponent, setNextFocusableComponent, requestFocus, requestFocus, requestFocusInWindow, getFontMetrics, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, getInsets, getInsets, getAlignmentY, getAlignmentX, getInputMap, getInputMap, getActionMap, registerKeyboardAction, registerKeyboardAction, setInputMap, setActionMap, getBaseline, getBaselineResizeBehavior, setForeground, setBackground, setDefaultLocale, getToolTipText, getToolTipText, scrollRectToVisible, setAutoscrolls, setFocusTraversalKeys, reshape, computeVisibleRect, addVetoableChangeListener, removeVetoableChangeListener, getVetoableChangeListeners, removeAncestorListener, getAncestorListeners, addNotify, removeNotify, paintImmediately, paintImmediately, hide, setInheritsPopupMenu, setComponentPopupMenu, isPaintingTile, isPaintingForPrint, setRequestFocusEnabled, isRequestFocusEnabled, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setBorder, setAlignmentY, setAlignmentX, setInputVerifier, getInputVerifier, setDebugGraphicsOptions, getDebugGraphicsOptions, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, requestDefaultFocus, setToolTipText, getToolTipLocation, getPopupLocation, createToolTip, getAutoscrolls, setTransferHandler, getTransferHandler, getVisibleRect, getTopLevelAncestor, isValidateRoot, setDoubleBuffered, getY, getX, revalidate, setVisible, add, add, add, add, add, remove, remove, list, list, validate, removeAll, invalidate, locate, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, getComponent, layout, preferredSize, minimumSize, insets, countComponents, getComponentZOrder, doLayout, deliverEvent, findComponentAt, findComponentAt, isFocusTraversalPolicyProvider, applyComponentOrientation, addContainerListener, setComponentZOrder, setLayout, paintComponents, printComponents, removeContainerListener, getContainerListeners, getMousePosition, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, transferFocusDownCycle, getLayout, getComponents, addPropertyChangeListener, addPropertyChangeListener, getComponentCount, getComponentAt, getComponentAt, getName, add, remove, toString, size, contains, list, list, list, getBounds, bounds, getLocation, getParent, action, setName, location, getSize, resize, resize, move, setSize, setSize, getLocale, isEnabled, enable, setLocale, isValid, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, getForeground, getFont, getTreeLock, getFocusCycleRootAncestor, isDisplayable, nextFocus, requestFocus, requestFocusInWindow, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, dispatchEvent, setLocation, setLocation, getBackground, isLightweight, setBounds, setBounds, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getGraphicsConfiguration, isFocusable, isFocusOwner, transferFocus, postEvent, transferFocusBackward, getMousePosition, getToolkit, getLocationOnScreen, getInputContext, show, show, getColorModel, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, inside, mouseEnter, mouseExit, mouseMove, mouseDown, mouseDrag, mouseUp, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, hasFocus, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addInputMethodListener, addHierarchyListener, addHierarchyBoundsListener, addMouseWheelListener, setComponentOrientation, setDropTarget, getDropTarget, enableInputMethods, isForegroundSet, isBackgroundSet, isFontSet, setCursor, getCursor, isCursorSet, paintAll, imageUpdate, setIgnoreRepaint, getIgnoreRepaint, removeComponentListener, getComponentListeners, removeFocusListener, getFocusListeners, removeHierarchyListener, getHierarchyListeners, removeHierarchyBoundsListener, getHierarchyBoundsListeners, removeKeyListener, getKeyListeners, removeMouseListener, getMouseListeners, removeMouseMotionListener, getMouseMotionListeners, removeMouseWheelListener, getMouseWheelListeners, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, getComponentOrientation, setMixingCutoutShape, handleEvent, isVisible, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TableLayout()

  - ### Method Detail

    - #### public void addCell(TableLayoutCell cell)

      Adds a new cell to the current grid

      Parameters:
        `cell` - the td component

    - #### public int getCellpadding()

    - #### public int nextRowIndex()

      Creates a new row index for child tr tags

      Returns:
        nextRowIndex the row number

    - #### public void setCellpadding(int cellpadding)